# Class DOMPool

java.lang.Object
org.apache.jmeter.protocol.http.util.DOMPool

public final class DOMPool extends Object
The purpose of this class is to cache the DOM Documents in memory and by-pass parsing. For old systems or laptops, it's not practical to parse the XML documents every time. Therefore using a memory cache can reduce the CPU usage.

For now this is a simple version to test the feasibility of caching. If it works, this class will be replaced with an Apache commons or something equivalent. If I was familiar with Apache Commons Pool, I would probably use it, but since I don't know the API, it is quicker for Proof of Concept to just write a dumb one. If the number documents in the pool exceed several hundred, it will take a long time for the lookup.

Created on: Jun 17, 2003

## Method Summary

Modifier and Type
Method
Description
`static void`
`clear()`
Clear cache
`static Document`
`getDocument(Object key)`
Return a document.
`static void`
`putDocument(Object key, Document data)`
Add an object to the cache.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getDocument

public static Document getDocument(Object key)
Return a document.

Parameters:
  `key` - key of the document
Returns:
  Document

### putDocument

public static void putDocument(Object key, Document data)
Add an object to the cache.

Parameters:
  `key` - key of the document
  `data` - Document to store

### clear

public static void clear()
Clear cache